%define major 3
%define girmajor 1.0
%define libname %mklibname upower-glib %{major}
%define girname %mklibname upower-glib-gir %{girmajor}
%define devname %mklibname upower-glib -d

Summary:	Power Management Service
Name:		upower
Version:	0.99.8
Release:	1
License:	GPLv2+
Group:		System/Kernel and hardware
Url:		http://upower.freedesktop.org/
Source0:	http://upower.freedesktop.org/releases/%{name}-%{version}.tar.xz
BuildRequires:	docbook-style-xsl
BuildRequires:	gettext
BuildRequires:	gtk-doc
BuildRequires:	intltool
BuildRequires:	xsltproc
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(gudev-1.0)
BuildRequires:	pkgconfig(libimobiledevice-1.0)
BuildRequires:	pkgconfig(libsystemd)
BuildRequires:	pkgconfig(libusb-1.0)
BuildRequires:	pkgconfig(polkit-gobject-1)
BuildRequires:	pkgconfig(systemd)
Requires(post,preun,postun):	systemd

%description
%{name} provides a daemon, API and command line tools for
managing power devices attached to the system.

%files -f %{name}.lang
%doc README AUTHORS NEWS HACKING
%dir %{_sysconfdir}/UPower/
%config(noreplace) %{_sysconfdir}/UPower/UPower.conf
%{_sysconfdir}/dbus-1/system.d/*.conf
%{_udevrulesdir}/*.rules
%{_localstatedir}/lib/upower
%{_bindir}/*
%{_libexecdir}/upowerd
%{_datadir}/dbus-1/system-services/*.service
%{_unitdir}/upower.service
%{_mandir}/man1/*
%{_mandir}/man7/*
%{_mandir}/man8/*

%post
%systemd_post %{name}

%preun
%systemd_preun %{name}

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Shared Library of %{name}
Group:		System/Libraries
Obsoletes:	%{_lib}upower-glib1 < 0.99.4

%description -n %{libname}
%{name} provides a daemon, API and command line tools for
managing power devices attached to the system.

%files -n %{libname}
%{_libdir}/libupower-glib.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{girname}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries
Conflicts:	%{_lib}upower-glib1 < 0.9.15-3

%description -n %{girname}
GObject Introspection interface description for %{name}.

%files -n %{girname}
%{_libdir}/girepository-1.0/UPowerGlib-%{girmajor}.typelib

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Headers and libraries for %{name}
Group:		Development/C
Requires:	%{libname} = %{EVRD}
Requires:	%{girname} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}

%description -n %{devname}
Headers and libraries for %{name}.

%files -n %{devname}
%{_includedir}/libupower-glib
%{_libdir}/*.so
%{_libdir}/pkgconfig/upower-glib.pc
%{_datadir}/dbus-1/interfaces/*.xml
#dir %{_datadir}/gtk-doc/html/UPower
#{_datadir}/gtk-doc/html/UPower/*
%{_datadir}/gir-1.0/UPowerGlib-%{girmajor}.gir

#----------------------------------------------------------------------------

%prep
%setup -q
%apply_patches

%build
%configure2_5x \
	--disable-static \
	--with-udevrulesdir=/lib/udev/rules.d
%make

%install
%makeinstall_std

%find_lang %{name}


%changelog

* Mon Aug 13 2018 Andrey Bondrov <andrey.bondrov@rosalab.ru> 0.99.8-1
- (a29feca) New version 0.99.8
- (a29feca) Drop useless systemd_postun script


